import request from "@/utils/httpRequest";
import { FLOW_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/extension/formCategory/save",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/extension/formCategory/delete",
			method: "delete",
			params: { ids: ids },
		});
	},
	drag: function (inputForm) {
		return request({
			url: prefix + "/extension/formCategory/drag",
			method: "post",
			data: inputForm,
		});
	},
	queryById: function (id) {
		return request({
			url: prefix + "/extension/formCategory/queryById",
			method: "get",
			params: { id: id },
		});
	},

	treeData: function (extId) {
		return request({
			url: prefix + "/extension/formCategory/treeData",
			method: "get",
			params: { extId: extId },
		});
	},
};
